v.split.vert Model Builder dialog box

2017-12-15 06:33 PM - Nathan Saylor

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: Yes

Operating System: Windows 7 Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25600

Description

v.split.vert dialog box in Model Builder is missing "Split by vertices<OutputVector>" label and input and not allowing it to continue. I'm

assuming it's an easy fix. Apologies I don't have the absolute latest build.

Below is the error report.

An error has occurred while executing Python code:

KeyError: 'output' 

Traceback (most recent call last):

  File "E:/PROGRA~2/QGIS2~1.99/apps/qgis-dev/./python/plugins\processing\modeler\ModelerParametersDialog.py", line 357, in

okPressed

    alg = self.createAlgorithm()

  File "E:/PROGRA~2/QGIS2~1.99/apps/qgis-dev/./python/plugins\processing\modeler\ModelerParametersDialog.py", line 334, in

createAlgorithm

    name = str(self.valueItems[dest.name()].text())

KeyError: 'output'

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS version: 2.99.0-Master Master, 57dc9deb06

Python Path:

E:/PROGRA~2/QGIS2~1.99/apps/qgis-dev/./python/plugins\processing

E:/PROGRA~2/QGIS2~1.99/apps/qgis-dev/./python

C:/Users/lmoore/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/lmoore/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

E:/PROGRA~2/QGIS2~1.99/apps/qgis-dev/./python/plugins

E:\Program Files\QGIS 2.99\bin\python36.zip

E:\PROGRA~2\QGIS2~1.99\apps\Python36\DLLs

E:\PROGRA~2\QGIS2~1.99\apps\Python36\lib

E:\Program Files\QGIS 2.99\bin

E:\PROGRA~2\QGIS2~1.99\apps\Python36

E:\PROGRA~2\QGIS2~1.99\apps\Python36\lib\site-packages

C:/Users/lmoore/AppData/Roaming/QGIS/QGIS3\profiles\default/python

Associated revisions

Revision 097a437a - 2018-01-24 09:00 AM - Nyall Dawson

[processing] Fix missing outputs in modeler for grass algs (fixes #17703)
History

#1 - 2017-12-27 10:28 AM - Alexander Bruy

- Status changed from Open to Feedback

Please try with latest master, GRASS algorithms were updated recently

#2 - 2017-12-27 05:29 PM - Nathan Saylor

- File grass.jpg added

Alexander Bruy wrote:

Please try with latest master, GRASS algorithms were updated recently

With the 12/25 weekly build, the output box is still missing. As the error report indicates, there's no destination variable assigned, so the tool doesn't know

what to do with the result if it's run.

Looking through, these are missing from all the GRASS Vector and Visualization dialog boxes in the Processing Modeler, but not missing in the regular

Processing Toolbox.  It is there for the other GRASS tools in the Processing Modeler.

#3 - 2018-01-19 01:23 AM - Nyall Dawson

- Regression? changed from No to Yes

#4 - 2018-01-24 09:00 AM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|097a437af8d907b2f69e0590eb395d89095bad5e.

#5 - 2018-02-22 11:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

grass.jpg 91.5 KB 2017-12-27 Nathan Saylor
